(function($) {
    'use strict';

    $(function() {
        // create progress bar
        const progressBar = $('<span class="progress-bar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></span>');

        // update progress bar value
        progressBar.css('width', window['serviceDifficulty'] + '%');
        progressBar.attr('aria-valuenow', window['serviceDifficulty']);

        // wrap progress bar in a parent
        const progress = $('<span class="progress"></span>').append(progressBar);

        // create info box
        const infoBox = $('<span class="vap-price-info-box service-difficulty"></span>');

        // append difficulty label
        infoBox.append($('<span class="difficulty-label"></span>').text(Joomla.JText._('PLG_VAP_SERDIFF_INPUT_LABEL')));
        // append progress bar
        infoBox.append(progress);
        // append difficulty value
        infoBox.append($('<span class="difficulty-value"></span>').text(window['serviceDifficulty'] + '%'));

        // insert info box before the service price
        infoBox.insertBefore('.vapempcontactsp .service-price');
    });
})(jQuery);